Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.stream
Class FunctionEachStage

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Stage<Incoming,Outgoing>
              cascading.flow.stream.ElementStage<Incoming,TupleEntry>
                  cascading.flow.stream.OperatorStage<TupleEntry>
                      cascading.flow.stream.EachStage
                          cascading.flow.stream.FunctionEachStage

All Implemented Interfaces:
  ElementDuct, Mapping

    public class FunctionEachStage

extends EachStage

Field Summary

Fields inherited from class cascading.flow.stream.OperatorStage
`argumentsBuilder, argumentsEntry, argumentsSelector, incomingEntry, operationCall, outgoingBuilder, outgoingEntry, outgoingSelector, outputCollector, remainderFields, RETAIN_COLLECTOR`

Fields inherited from class cascading.flow.stream.ElementStage
`branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`FunctionEachStage(FlowProcess flowProcess, Each each)`

Method Summary
`protected Fields` | `getIncomingArgumentsFields()`
`protected Fields` | `getIncomingPassThroughFields()`
`void` | `initialize()` Called immediately after bind
`void` | `receive(Duct previous, TupleEntry incomingEntry)`

Methods inherited from class cascading.flow.stream.EachStage
`getOperator, getOutgoingSelector`

Methods inherited from class cascading.flow.stream.OperatorStage
`cleanup, complete, createArgumentsBuilder, createOutgoingBuilder, getOperationDeclaredFields, prepare`

Methods inherited from class cascading.flow.stream.ElementStage
`addIncomingScope, addOutgoingScope, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

Methods inherited from class cascading.flow.stream.Duct
`bind, getNext, getNextFor, receiveFirst, start`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctionEachStage

    public FunctionEachStage(FlowProcess flowProcess,
                             Each each)

Method Detail

### getIncomingPassThroughFields

    protected Fields getIncomingPassThroughFields()

  Specified by:
    `getIncomingPassThroughFields` in class `OperatorStage<TupleEntry>`

### getIncomingArgumentsFields

    protected Fields getIncomingArgumentsFields()

  Specified by:
    `getIncomingArgumentsFields` in class `OperatorStage<TupleEntry>`

### initialize

    public void initialize()

  Description copied from class: `Duct`
  Called immediately after bind

  Overrides:
    `initialize` in class `OperatorStage<TupleEntry>`

### receive

    public void receive(Duct previous,
                        TupleEntry incomingEntry)

  Overrides:
    `receive` in class `Stage<TupleEntry,TupleEntry>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.